Skip to navigation

Update a webhook endpoint

Send at least one field. A changed url is validated again.

Requires the settings:write API key scope.

Authentication

AuthorizationBearer

A workspace API key, sent as Authorization: Bearer.

OR
x-api-keystring

A workspace API key, sent as x-api-key.

Path parameters

endpointIdstringRequired
Webhook endpoint UUID.

Request

This endpoint expects an object.
urlstringOptional
eventslist of enumsOptional
Allowed values:
enabledbooleanOptional

Setting true resets consecutiveFailures to zero.

descriptionstring or nullOptional

null clears it.

Response

The updated endpoint.
endpointobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error